{{- if and (.Values.service.enabled) (eq .Values.application.track "stable") (or (.Values.ingress.enabled) (not (hasKey .Values.ingress "enabled"))) -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ template "fullname" . }}
  labels:
    app: xtriples
  annotations:
{{- if .Values.ingress.annotations }}
{{ toYaml .Values.ingress.annotations | indent 4 }}
{{- end }}
spec:
{{- if .Values.ingress.tls.enabled }}
  tls:
  - hosts:
    - app.{{ template "fqdn" . }}
    - any23.{{ template "fqdn" . }}
    secretName: xtriples-cert
{{- end }}
  rules:
  - host: app.{{ template "fqdn" . }}
    http:
      paths:
      - pathType: ImplementationSpecific
        backend:
          service:
            name: xtriples-ui
            port:
              number: 8080
  - host: any23.{{ template "fqdn" . }}
    http:
      paths:
      - pathType: ImplementationSpecific
        backend:
          service:
            name: any23
            port:
              number: 8080
{{- end -}}
